﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabsStudioSingleRow
{
    /// <summary>
    /// Interaction logic for SettingsDialog.xaml
    /// </summary>
    public partial class OptionsDialog
    {
        public OptionsDialog(Options options_)
        {
            options = options_;
            InitializeComponent();
            textBox1.Text = options.maxRows.ToString();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            uint maxRows;
            if (uint.TryParse(textBox1.Text, out maxRows) && maxRows > 0)
            {
                options.maxRows = maxRows;
                DialogResult = true;
            }
            else
            {
                System.Windows.MessageBox.Show("Invalid rows value.");
            }
        }

        private Options options;
    }
}
